if ~exist('theory_only','var') || theory_only == false
    if ~exist('functiongenerator','var')
        functiongenerator = FunctionGenerator('10.0.0.3',1234,10);
    end

    if ~exist('oscilloscope','var')
        oscilloscope = Oscilloscope('10.0.0.2',5025,2);
    end
end